# Access Request config update fail

**URL:** <https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048>\
**Category:** SHF Discussion and Questions\
**Tags:** identity-security-cloud\
**Created:** [October 3, 2022, 8:11am UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048 "2022-10-03T08:11:41Z")\
**Posts on this page:** 8\
**Page:** 1

<div class="post-metadata">

**Author:** ![YIOA1](https://avatars.discourse-cdn.com/v4/letter/y/ebca7d/32.png) [@YIOA1](https://developer.sailpoint.com/discuss/u/YIOA1)\
**Post date:** [October 3, 2022, 8:11am UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048/1 "2022-10-03T08:11:41Z")

</div>

Hi,

I am trying to update ‘Access Request Config’ through API. Its not allowing me to update when trying to add anything other than null in below. Followed the url

[https://developer.sailpoint.com/idn/api/beta/update-access-request-config/?\_ga=2.264307215.144506704…](https://developer.sailpoint.com/idn/api/beta/update-access-request-config/?_ga=2.264307215.1445067048.1664778164-1845483764.1664567101)

Error

```auto
{

"detailCode": "400.1 Bad request content",

"trackingId": "a3ca96321ae34897b8bef2aad0fc182b",

"messages": [

{

"locale": "en-US",

"localeOrigin": "DEFAULT",

"text": "The request was syntactically correct but its content is semantically invalid."

}

],

"causes": []

}

```

Any idea ?

And also if we change access request config does this apply to certification reminders and escalations as well?

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [October 3, 2022, 10:03am UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048/2 "2022-10-03T10:03:55Z")

</div>

Hi @YIOA1, can you share the request body you sent to the API? You can obfuscate sensitive values with fake ones, but be sure the rest of the request is just as you sent it.

---

<div class="post-metadata">

**Author:** ![YIOA1](https://avatars.discourse-cdn.com/v4/letter/y/ebca7d/32.png) [@YIOA1](https://developer.sailpoint.com/discuss/u/YIOA1)\
**Post date:** [October 3, 2022, 2:20pm UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048/3 "2022-10-03T14:20:07Z")

</div>

Hi,

```json
{
	"approvalsMustBeExternal": false,
	"autoApprovalEnabled": false,
	"requestOnBehalfOfConfig": {
		"allowRequestOnBehalfOfAnyoneByAnyone": true,
		"allowRequestOnBehalfOfEmployeeByManager": false
	},
	"approvalReminderAndEscalationConfig": {
		"daysUntilEscalation": 1,
		"daysBetweenReminders": 1,
		"maxReminders": 1,
		"fallbackApproverRef": {
			"type": "IDENTITY",
			"id": "xxxx",
			"name": "John XXXY",
			"email": "John.XXXY@xxx.gov"
		}
	},
	"entitlementRequestConfig": {
		"allowEntitlementRequest": false,
		"requestCommentsRequired": false,
		"deniedCommentsRequired": false,
		"grantRequestApprovalSchemes": "sourceOwner"
	}
}

```

Regards,  
Yamini

---

<div class="post-metadata">

**Author:** ![YIOA1](https://avatars.discourse-cdn.com/v4/letter/y/ebca7d/32.png) [@YIOA1](https://developer.sailpoint.com/discuss/u/YIOA1)\
**Post date:** [October 3, 2022, 2:22pm UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048/4 "2022-10-03T14:22:51Z")

</div>

@colin_mckibben , I did try with PATCH {{apiurl}}/v2/org and it work to update. Whats the difference between beta /V2/V3 api?

{

“approvalConfig”: {

```
    "daysTillEscalation": 3,

    "daysBetweenReminders": 2,

    "maxReminders": 2,

    "fallbackApprover": "John.XXXY@illinois.gov"
 
}
}

```

}

---

<div class="post-metadata">

**Author:** ![YIOA1](https://avatars.discourse-cdn.com/v4/letter/y/ebca7d/32.png) [@YIOA1](https://developer.sailpoint.com/discuss/u/YIOA1)\
**Post date:** [October 3, 2022, 2:24pm UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048/5 "2022-10-03T14:24:34Z")

</div>

@colin_mckibben , Does this approval config work for Certification Reminder and Escalation emails?

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [October 3, 2022, 5:58pm UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048/6 "2022-10-03T17:58:08Z")

</div>

@YIOA1 I’m able to get a successful update with a similar body to what you provided.

PUT https://.api.identitynow.com/v3/access-request-config

```json
{
    "approvalsMustBeExternal": false,
    "autoApprovalEnabled": false,
    "requestOnBehalfOfConfig": {
        "allowRequestOnBehalfOfAnyoneByAnyone": true,
        "allowRequestOnBehalfOfEmployeeByManager": false
    },
    "approvalReminderAndEscalationConfig": {
        "daysUntilEscalation": 1,
        "daysBetweenReminders": 1,
        "maxReminders": 1,
        "fallbackApproverRef": {
            "type": "IDENTITY",
            "id": "2c9180867624cbd704b3a2d8c8c81f67"
        }
    },
    "entitlementRequestConfig": {
        "allowEntitlementRequest": false,
        "requestCommentsRequired": false,
        "deniedCommentsRequired": false,
        "grantRequestApprovalSchemes": "sourceOwner"
    }
}

```

Response: 200 OK

```json
{
    "approvalsMustBeExternal": false,
    "autoApprovalEnabled": false,
    "requestOnBehalfOfConfig": {
        "allowRequestOnBehalfOfAnyoneByAnyone": true,
        "allowRequestOnBehalfOfEmployeeByManager": false
    },
    "approvalReminderAndEscalationConfig": {
        "daysUntilEscalation": 1,
        "daysBetweenReminders": 1,
        "maxReminders": 1,
        "fallbackApproverRef": {
            "email": "john.doe@sailpoint.com",
            "type": "IDENTITY",
            "id": "2c9180867624cbd704b3a2d8c8c81f67",
            "name": "john.doe"
        }
    },
    "entitlementRequestConfig": {
        "allowEntitlementRequest": false,
        "requestCommentsRequired": false,
        "deniedCommentsRequired": false,
        "grantRequestApprovalSchemes": "sourceOwner"
    }
}

```

---

<div class="post-metadata">

**Author:** ![YIOA1](https://avatars.discourse-cdn.com/v4/letter/y/ebca7d/32.png) [@YIOA1](https://developer.sailpoint.com/discuss/u/YIOA1)\
**Post date:** [October 3, 2022, 6:04pm UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048/7 "2022-10-03T18:04:27Z")

</div>

Thank you for information. I did try with this ‘PUT {{apiurl}}/beta/access-request-config/’ it didn’t work but when I did with ‘PATCH {{apiurl}}/v2/org’ it did work. Will try this. What’s the difference between beta /V2/V3 ?  
We have client requirement to send reminder emails for x days instead of default 7 and escalation emails .Does the above approval config work for Certification Reminder and Escalation emails? If not how to configure that?

---

<div class="post-metadata">

**Author:** ![system](https://global.discourse-cdn.com/sailpoint/original/2X/f/f2136700ed5e3703e0b85e02f6be799dacca7735.png) [@system](https://developer.sailpoint.com/discuss/u/system)\
**Post date:** [July 19, 2023, 2:23pm UTC](https://developer.sailpoint.com/discuss/t/access-request-config-update-fail/6048/8 "2023-07-19T14:23:40Z")

</div>


